View Issue Details

IDProjectCategoryView StatusLast Update
0001837XdebugUncategorizedpublic2020-09-25 00:15
Reporterderick Assigned Toderick  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version3.0.0beta1Fixed in Version3.0.0beta1 
Summary0001837: Support for associative variadic variable names (PHP 8)
DescriptionPHP 8 introduces named parameters, and will now accept variadics with associative key names. Add a test, and potentially support for this.
TagsNo tags attached.
Operating System
PHP Version7.4.0-7.4.4

Activities

derick

2020-09-25 00:15

administrator   ~0005465

Fixed through https://github.com/xdebug/xdebug/pull/654

Issue History

Date Modified Username Field Change
2020-08-24 09:32 derick New Issue
2020-09-23 16:56 derick Target Version 3.0dev => 3.0.0beta1
2020-09-25 00:15 derick Assigned To => derick
2020-09-25 00:15 derick Status new => closed
2020-09-25 00:15 derick Resolution open => fixed
2020-09-25 00:15 derick Fixed in Version => 3.0.0beta1
2020-09-25 00:15 derick Note Added: 0005465